Subject: Re: [BUG] log: Non-zero exit code?

From: René Scharfe <[email-masked]>
Date: Sat, 21 Aug 2010 09:33:56 +0200

Am 21.08.2010 08:22, schrieb Ramkumar Ramachandra:
> Hi,
> 
> Here's a quick patch to illustrate the bug report. I initially thought
> Bo Yang's series was at fault, but a quick checkout-make tells me that
> the problem is much deeper- Am I doing something wrong? How did we not
> notice this problem for so long?
> 
> -- 8< --
> From: Ramkumar Ramachandra <[email-masked]>
> Date: Sat, 21 Aug 2010 11:44:13 +0530
> Subject: [PATCH] log: test to check exit code
> 
> Add a test to check the exit code of a simple 'git log'
> invocation. The test currently fails: the exit code seems to be 141,
> instead of the expected 0.
> 
> Signed-off-by: Ramkumar Ramachandra <[email-masked]>
> ---
>  t/t4202-log.sh |    6 ++++++
>  1 files changed, 6 insertions(+), 0 deletions(-)
> 
> diff --git a/t/t4202-log.sh b/t/t4202-log.sh
> index 2e51356..bd05bc9 100755
> --- a/t/t4202-log.sh
> +++ b/t/t4202-log.sh
> @@ -37,6 +37,12 @@ test_expect_success setup '
>  
>  '
>  
> +test_expect_success 'exit code' '
> +
> +        git log
> +        test_cmp $? 0
> +'
> +
>  printf "sixth\nfifth\nfourth\nthird\nsecond\ninitial" > expect
>  test_expect_success 'pretty' '

> Er, I meant test $? = 0.
> -- Ram

You can leave out the test line entirely, as test_expect_success already
checks for an exit code of zero.

The test passes for me with 1.7.2.2, next and pu.  Which version of git
do you use?

Error code 141 smells like the pager.  Can you reproduce the problem
without the pager, i.e. like this?

	git --no-pager log

René